{% set article_show =  path('article_show', {'slug': article.slug}) %}

<article class="mb-5">
    <div class="row">
        <div class="col-md-{{ leftCol ?? 5 }}">
            {% if article.featuredImage %}
                <a href="{{ article_show }}">
                    <img src="/uploads/{{ article.featuredImage.filename }}" alt="{{ article.featuredImage.altText }}" loading="lazy" width="350" height="205">
                </a>
            {% endif %}
        </div>
        <div class="col-md-{{ RightCol ?? 7 }}">
            <h2>
                <a class="text-decoration-none" href="{{ article_show }}">{{ article.title}}</a>
            </h2>
            <p> {{ article.createdAt|date('d M Y')}} </p>
            {{ article.featuredText ?: article.content|striptags|slice(0, 130) ~ '...'}}
        </div>
    </div> 
</article>